html {
    width: 100%;
}

body {
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 75%;
}

h1 {
    margin: 2px;
}

header {
    text-align: center;
    width: 100%;
    padding: 10px 0;
    box-sizing: border-box;
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    height: 60px;
    display: flex;
    align-items: center;
    background-color: white;
    border-radius: 6px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}

header h1 {
    font-size: 2rem;
    font-weight: bold;
    color: #333;
    margin: 0;
    text-align: center;
    margin-left: 110px;
    flex-grow: 1;
}

.container {
    margin-right: auto;
    margin-left: auto;
    background-color: #fff;
    padding-right: 10px;
    padding-left: 10px;
    max-width: 100%;
    height: 100%;
}

.tabs {
    display: flex;
    background-color: #f0f0f0;
    border-bottom: 1px solid #ddd;
}

.tab-button {
    padding: 15px 25px;
    background: none;
    border: none;
    border-bottom: 3px solid #f0f0f0;
    cursor: pointer;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.1rem;
    font-weight: 500;
    transition: all 0.3s ease;
    position: relative;
    outline: none;
    flex-grow: 1;
}

.tab-button:hover {
    background-color: #e0e0e0;
    border-bottom: 3px solid #e0e0e0;
}

.tab-button.active {
    background-color: #fff;
    border-bottom: 3px solid #065565;
    color: #065565;
}

.tab-content {
    display: none;
}

.tab-content.active {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

.col {
    min-height: 90vh;
    padding: 10px;
    margin-right: 10px;
    position: relative;
}

.col-9 {
    flex: 1 0 60%;
    max-width: 70%;
}

.col-3 {
    display: block;
    flex: 1 0 20%;
    max-width: 30%;
}

.svg-container {
    width: 100%;
    height: 100%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.9rem;
}

.controls-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    margin-bottom: 10px;
    padding: 10px;
    height: auto;
    max-height: 20vh;
    font-size: 1rem;
}

.additional-info {
    min-height: 80vh;
    height: auto;
    font-size: 1rem;
    position: sticky;
    top: 0px;
}

.controls-container,
.additional-info,
.svg-container {
    background-color: #f9f9f9;
    border-radius: 6px;
    border: 1px solid #eee;
}

.select-container,
.range-container,
.radio-container {
    flex-grow: 1;
    margin-left: 10px;
    margin-right: 10px;
}

#bar-chart-1 {
    min-height: 80vh;
    height: auto;
}

#bar-chart-2 {
    height: 80vh;
    max-height: 1000px;
}

#bar-chart-3 {
    height: 80vh;
    max-height: 1000px;
}

.grid line {
    stroke: lightgrey;
    stroke-width: 0.5;
}

/*additional charts css*/
.additional-info h2 {
    text-align: center;
    margin:5px;
}

.info-default-text,
.info-selected-text {
    text-align: center;
    padding-left: 8px;
    padding-right: 8px;
}

span.chart-info {
    text-align: center;
    font-weight: bold;
}

.chart-selector {
    display: none;
    justify-content: center;
    margin-top: 10px;
    margin-bottom: 10px;
    background: #ffffff;
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 6px;
    gap: 8px;
    flex-wrap: wrap;
}

.chart-content {
    margin-top: 5px;
}

.chart-btn {
    flex: 1 0 20%;
    min-width: 20px;
    max-width: 100%;
    min-height: 40px;
    padding: 8px 12px;
    font-size: 0.85rem;
    background: #075E6F;
    color: #fff;
    border: none;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.3s ease;
    text-align: center;
}

.chart-btn:hover {
    background: #065565;
}

.chart-btn.active {
    background: #065565;
    font-weight: bold;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

.show-all-selector {
    display: none;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.info-add-text {
    display: none;
    flex-direction: row;
    text-align: center;
    align-items: center;
    font-size: 0.8rem;
    padding: 5px;
}

.custom-button {
    font-size: 16px;
    text-decoration: none;
    background-color: #075E6F;
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
}

.custom-button:hover {
    background-color: #065565;
  }

select {
    margin: auto;
    padding: 8px 12px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    background: white;
    cursor: pointer;
}
.axis-title {
    font-size: 1rem;
    font-weight: bold;
}

.radio-container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 5px;
    max-width: 50%;
}

.radio-container input[type="radio"] {
    display: none;
    pointer-events: none;
}
      
.radio-container label {
    display: flex;
    align-items: center;
    justify-content: center;
    width: auto;
    max-width: 50%;
    height: auto;
    min-height: 30px;
    max-height: 60px;
    padding: 5px 5px 5px 5px;;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    background-color: #f8f8f8;
    cursor: pointer;
    user-select: none;
    transition: all 0.3s ease;
    text-align: center;
    border-radius: 5px; 
    border: 1px solid #03313a;
    color: #03313a;
}
      
.radio-container input[type="radio"]:checked + label {
    border: 1px solid #03313a;
    background-color: #075E6F;
    color: white;
}
      
.radio-container label:hover {
    border: 1px solid #03313a;
    color: white;
    background-color: #3f99a3;
}
      
.radio-container input[type="radio"]:checked + label:hover {
    border: 1px solid #03313a;
    background-color: #075E6F;
}
      
.range-container, 
.show-all-selector{
    accent-color: #075E6F;
}

@media (max-width: 1000px) {
    .tab-content {
        display: none;
        flex-direction: column;
    }
    
    .tab-content.active {
        display: flex;
        flex-direction: column; 
    }

    .col {
        min-height: 50vh;
        padding: 10px;
        margin-right: 10px;
        position: relative;
    }
    
    .col-9 {
        flex: 1 0 60%;
        max-width: 100%;
    }
    
    .col-3 {
        display: block;
        flex: 1 0 20%;
        max-width: 100%;
    }

    .radio-container {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        gap: 5px;
        max-width: 100%;
    }

    .controls-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        margin-bottom: 10px;
        padding: 10px;
        height: auto;
        max-height: 20vh;
        font-size: 1rem;
    }
}